/*
 * This file is a component of 3wks Analytics, a software library from 3wks.
 * Copyright (C) 2013 3wks, <support@3wks.com.au>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.threewks.analytics;

import java.util.UUID;

import org.joda.time.DateTime;

public class Util {

	private Util() {
	}

	/**
	 * Generate a random UUID.
	 * 
	 * @return a random UUID.
	 */
	public static String randomId() {
		return UUID.randomUUID().toString();
	}

	/**
	 * Get an ISO8601 timestamp from the current time.
	 * 
	 * @return the timestamp string.
	 */
	public static String timestamp() {
		return DateTime.now().toString();
	}
}
