/*
 * This file is a component of 3wks Analytics, a software library from 3wks.
 * Copyright (C) 2013 3wks, <support@3wks.com.au>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.threewks.analytics.client;

import com.threewks.analytics.model.Event;
import com.threewks.analytics.model.HttpRequest;
import com.threewks.analytics.model.HttpResponse;

public interface Analytics {

	/**
	 * Track an HTTP response.
	 * 
	 * @param request the request to track.
	 */
	public void trackRequest(HttpRequest request);

	/**
	 * Track an HTTP response.
	 * 
	 * @param response the response to track.
	 */
	public void trackResponse(HttpResponse response);

	/**
	 * Track a custom event.
	 * 
	 * @param event the event to track.
	 */
	public void trackEvent(Event event);

}